# PSF-LoginServer - master - net.psforever.objects.zones.ZoneHotSpotDisplay
PSF - LoginServer - master - net.psforever.objects.zones.ZoneHotSpotDisplay
Keywords: PSF LoginServer master net.psforever.objects.zones.ZoneHotSpotDisplay

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

c

net.psforever.objects.zones

# ZoneHotSpotDisplay

###

#### class ZoneHotSpotDisplay extends Actor

Manage hotspot information for a given zone, keeping track of aggressive faction interactions, and maintaining the visibility state of the hotspots that alert of the location of that activity.
Initializes two internal devices to manage the hotspot activity reported by the zone. The first device - "projector" - keeps track of any hotspots that are currently being displayed on the zone map. The second device - "backup" - is designed to maintain a much longer record of the same hostpot activity that was displayed by the projector. Messages sent to this device are sent automatically to each internal device. The internal devices do not have to be messaged separately.

Source
  ZoneHotSpotProjector.scala
See also

  `ZoneHotSpotProjector`

  `ZoneHotSpotHistory`

Linear Supertypes
Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZoneHotSpotDisplay
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ZoneHotSpotDisplay(zone: Zone, outputList: ListBuffer[HotSpotInfo], outputBlanking: FiniteDuration, dataList: ListBuffer[HotSpotInfo], dataBlanking: FiniteDuration)

   zone

     the zone whose map serves as the "screen" for the hotspot data

   outputList

     an external list used for storing displayed activity hotspots

   outputBlanking

     the period of decay time before hotspot information is forgotten

   dataList

     an external list used for storing activity for prolonged periods of time

   dataBlanking

     the period of decay time before prolonged activity information is forgotten

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
5.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  val backup: ActorRef
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  implicit val context: ActorContext
    Definition Classes
      Actor
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
23.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
24.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
25.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
26.  val projector: ActorRef
27.  def receive: Receive
    Definition Classes
      ZoneHotSpotDisplay → Actor
28.  implicit final val self: ActorRef
    Definition Classes
      Actor
29.  final def sender(): ActorRef
    Definition Classes
      Actor
30.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped